MC Navi released

Timo Juhani Lindfors timo.lindfors at
Thu Feb 11 23:52:42 CET 2010

Mike Crash <mike at> writes:
> other site, because here is also Debian repository. Download source code and
> packages for Debian armel/i386/AMD64. 

$ dpkg-buildpackage -rfakeroot -us -uc

in debian unstable fails with

checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for MCNAVI... configure: error: Package requirements (ecore ecore-evas edje imlib2 libgps) were not met:

No package 'imlib2' found

Maybe libimlib2-dev should be added as a build-dependency? I tried
installing it but it does not seem to be currently installable:

$ sudo aptitude install libimlib2-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information... Done
Initializing package states... Done       
Reading task descriptions... Done  
The following NEW packages will be installed:
  libgif-dev{a} libimlib2-dev libjpeg8-dev{ab} libpng12-dev{a} libtiff4-dev{a} libtiffxx0c2{a} 
0 packages upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 1303kB of archives. After unpacking 3645kB will be used.
The following packages have unmet dependencies:
  libjpeg8-dev: Conflicts: libjpeg62-dev but 6b-16 is installed.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     libimlib2-dev [Not Installed]                      
2)     libjpeg8-dev [Not Installed]                       
3)     libtiff4-dev [Not Installed]                       

     Tier: Safe actions, Remove packages (10000)          

Accept this solution? [Y/n/q/?]

Did you also use debian unstable to build the packages or something

More information about the community mailing list